Storm docs logo
Search the docs.../
Explore Storm Products

Get Stream

Request to fetch stream details.

This request is cached for 60 seconds.

Request

PropertyValue
MethodGET
URLhttps://api.stormstreaming.com/api/request/stream/{stream_key}
Authenticationx-api-key

URL Parameters:

ParameterDescription
{stream_key}The stream key of the stream you wish to read
Request
Code iconbash
curl -X GET "https://api.stormstreaming.com/api/request/stream/{stream_key}" \
  -H "x-api-key: YOUR_API_KEY"

Response

ParameterTypeDescription
stream.streamKeystring (40 chars)Stream unique key
stream.namestring (1-255 chars)Stream name
stream.descriptionstring (nullable)Stream description
stream.regionIdintegerRegional source ID
stream.isPublishedbooleanWhether the stream is live
stream.countdownobject (nullable)Countdown configuration
stream.countdown.isCountdownbooleanWhether countdown is active
stream.countdown.startDatestringStart date (ISO 8601)
stream.countdown.timezonestringCountdown timezone
stream.sourceTypestringPUSH or PULL
stream.encoderModestringABR or PASSTHROUGH
stream.credentialsobjectRTMP authentication
stream.credentials.usernamestringUsername
stream.credentials.passwordstringPassword
stream.thumbnailarray (nullable)Thumbnail images
stream.splashscreenarray (nullable)Splashscreen images
stream.sourceobject (nullable)Source info (if PULL)
stream.targetsarrayRestream targets
stream.themeIdinteger (nullable)Theme ID
stream.themeobjectTheme configuration
stream.isCreatedbooleanWhether stream is finalized
stream.createdAtstringCreation date (ISO 8601)
Successful Response (200)
Code iconjson
{
  "stream": {
    "streamKey": "9ed8b119f8ed9425a428a47846e55c6b761afc6c",
    "name": "My stream",
    "description": "Sample description",
    "regionId": 1,
    "isPublished": true,
    "countdown": {
      "isCountdown": true,
      "startDate": "2024-01-26T15:25:53.000000Z",
      "timezone": "Europe/Warsaw"
    },
    "sourceType": "PULL",
    "encoderMode": "ABR",
    "credentials": {
      "username": "902aee51",
      "password": "f9aef6eac1d977d"
    },
    "thumbnail": [
      {
        "sizeName": "1280x720",
        "width": 1000,
        "height": 563,
        "path": "https://cdn.stormstreaming.com/..."
      }
    ],
    "splashscreen": [
      {
        "sizeName": "1280x720",
        "width": 1280,
        "height": 720,
        "path": "https://cdn.stormstreaming.com/..."
      }
    ],
    "source": {
      "id": 53,
      "name": "Sample RTMP pull",
      "protocol": "RTMP",
      "url": "rtmp://XXXXXX/live/xxx",
      "isAuth": true,
      "authUsername": "sampleusername",
      "authPassword": "samplepassword",
      "isCreated": true,
      "createdAt": "2024-01-24T11:48:09.000000Z"
    },
    "targets": [
      {
        "id": 17,
        "name": "Facebook",
        "restreamType": "FACEBOOK",
        "url": "rtmp://facebookrtmpurl/",
        "isAuth": false,
        "isCreated": true,
        "createdAt": "2023-06-20T19:12:12.000000Z"
      }
    ],
    "themeId": 54,
    "theme": {
      "id": 54,
      "name": "test",
      "isDefault": 1,
      "theme": { "..." },
      "logo": {
        "id": 1341,
        "path": "https://cdn.stormstreaming.com/..."
      },
      "created_at": "2024-01-24T12:15:24.000000Z",
      "updated_at": "2024-01-24T16:32:56.000000Z"
    },
    "isCreated": true,
    "createdAt": "2024-01-25T11:10:53.000000Z"
  }
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.